<?php
// twiki2tiki_cfg.php v.0.2 2005/11/06
// Conversion script config for importing a TWiki web into TikiWiki
// Copyright (C) 2005 Arthur Davis
// Licensed under the GNU LESSER GENERAL PUBLIC LICENSE.
// See license.txt for details.

// Database host
define('DB_HOST',"localhost");

// Name of the tiki database where everything will go
define('DB_NAME',"dbname");

// User name and password for database user who has permissions
// to INSERT/UPDATE to the tiki database
define('DB_USER',"dbuser");
define('DB_PASS',"dbpass");

// The destination directory for attachment files to get copied to.
// It is advisable to make sure the directory already exists, that
// the script has write permissions to this directory and that
// Admin->Wiki->Wiki Attachments is enabled with "Use a directory
// to store files" selected and pointing to this same Path.
define('TIKI_DIR',"/var/www/html/tiki");
define('TIKI_FILEDEST',TIKI_DIR."/files");

// The location of the TWiki base directory
define('TWIKI_DIR',"/var/www/work/twiki");

// The name of the TWiki Web to translate
define('TWIKI_WEB',"IT");

// The value you want to translate TWiki Web %HOMETOPIC% variable
// into. If you just want the web to be built up rooted at the
// TikiWiki HomePage, leave this as HomePage... but realize whatever
// you have there now will get blown away.
define('TIKI_HOMEPAGE',"PagesFromTwiki");

// Suffix that will be added to the names of duplicated pages
define('PAGE_SUFFIX',"_twiki");

// WikiPages to ignore. These are TWiki base pages that you probably
// don't care to include in your Tiki installation. Comment out/delete anything
// listed here if you actually do want that page translated over... or
// simply add to the list any other pages you want to ignore.
$ignore_pages=array(
	"WebIndex",
	"WebLeftBar",
	"WebMenu",
	"WebNotify",
	"WebPreferences",
	"WebRss",
	"WebSearch",
	"WebStatistics",
	"WebTopicList",
	"WebChanges",
	"WebSearchAdvanced",
	"WebAtom",
	"WebTopicCreator");

// WikiName translations. Include the names in your TWiki installation
// mapped to the names you want in your Tiki installation
// (TODO)

?>
